package com.ssj.bean.sys.feedback.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;
@Entity
@Table(name = "scon_know_feedback_detail")
public class SconKnowFeedbackDetail extends BaseEntity {


	/**
	 * 
	 */
	private static final long serialVersionUID = 4802810211329929963L;


	private String feedbackId; //反馈表id
	

	private String knowHowId; //知识点单元zyb_know_how_Id  //此字段前端有传空可能慎用此字段


	private String knowHowDetailsId; //知识点详细表zyb_know_how_details_id
	

	private String derver;//设备号
	

	private String subject; //科目 (语文,数学,英语)


	private Date createTime; //创建时间

	@Column(name = "problem_id")
	private String problemId;  //难题id

	@Column(name = "feedback_id")
	public String getFeedbackId() {
		return feedbackId;
	}

	public void setFeedbackId(String feedbackId) {
		this.feedbackId = feedbackId;
	}
	@Column(name = "know_how_details_id")
	public String getKnowHowDetailsId() {
		return knowHowDetailsId;
	}

	public void setKnowHowDetailsId(String knowHowDetailsId) {
		this.knowHowDetailsId = knowHowDetailsId;
	}
	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "know_how_id")
	public String getKnowHowId() {
		return knowHowId;
	}

	public void setKnowHowId(String knowHowId) {
		this.knowHowId = knowHowId;
	}
	@Column(name = "derver")
	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}
	@Column(name = "subject")
	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getProblemId() {
		return problemId;
	}

	public void setProblemId(String problemId) {
		this.problemId = problemId;
	}
}
